Skip to navigation

Export a simulation to a desired topology format

View as Markdown

Simulations can be exported to supported topology formats via this endpoint. Export behavior can be controlled by providing query parameters.

Required scope: air:simulation_read (roles: air_org_admin, air_user)

Alternative: role air_trainee also grants access.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequiredformat: "uuid"
A UUID string identifying this simulation.

Query parameters

image_idsbooleanOptionalDefaults to false
Set this flag in order to return image IDs instead of names.
include_instructionsenumOptionalDefaults to NONE

Which client-created instructions to include. Instructions on child plugin nodes and OOB switches are never included, because you cannot import them.

  • NONE: Do not include instructions.
  • REPEATABLE: Include instructions with created_by_client and run_again_on_rebuild set to true.
  • REPEATABLE_OR_NOT_READY: Include instructions with created_by_client set to true and either run_again_on_rebuild set to true or state set to NOT_READY. This option includes all instructions which would be executed if the simulation was booted without a checkpoint right now.
Allowed values:
include_servicesbooleanOptionalDefaults to false
Include services in the export.
topology_formatenumRequired
Desired output format.
Allowed values:

Response

TopologyFormatFullJSONobject
Representation of a topology in JSON format.

Errors

403
Forbidden Error
404
Not Found Error
500
Internal Server Error